[TESTING] Zim - Python2 GUI Traduction Le sujet est résolu

Demande d'aide : c'est ici.
Répondre
Avatar du membre
dezix
Membre
Membre
Messages : 432
Enregistré le : 04 juin 2016, 14:50
Diaspora* : dezix@framasphere.org
Status : Hors ligne

19 avr. 2019, 12:37

Bonjour,

Voilà depuis le 2019-04-05 (approx)
le wiki de bureau Zim que j'utilise abondamment,
présente des menus contextuels incomplètement traduits en Fr

Comme Zim est écrit en Python2
avec les dépendances suivantes :
dep: python :
langage interactif de haut niveau orienté objet (version Python2)

dep: python-gobject-2 :
interface statique Python obsolète pour la bibliothèque GObject

dep: python-gtk2 :
Liens (bindings) Python pour les widgets GTK+

dep: python-simplejson :
simple, fast, extensible JSON encoder/decoder for Python 2.x
ou python (>= 2.6) :
langage interactif de haut niveau orienté objet (version Python2)

dep: python-xdg :
bibliothèque Python⋅2 d'accès aux normes freedesktop.org


rec: python-gtkspellcheck :
Python 2 spellchecking library GTK+ based on Enchant

J'en conclus que le défaut vient du paquet Python chargé de traduire l'interface. :040:


Dans mon cas,

python-gtkspellcheck est installé,
la correction orthographique fonctionne bien.

Dans la présentation de python-gtkspellcheck
on peut lire :
For automatic translation of the user interface it can use GEdit's translation files.
Pour la traduction automatique de l'interface utilisateur il peut utiliser les fichiers de traduction de GEdit

Je n'utilise pas gedit (gnome) et je n'ai rien trouvé à propos de GEdit comme type de fichiers.


Donc :

1. Avez-vous remarqué ce problème avec Zim ou d'autres applications écrites en Python(2) ?
2. Quel paquet est-il responsable de la traduction de l'interface ?
3. Comment et où mettre un fichier temporaire pour fournir les termes à traduire ?

Je pose la question pour le cas précis de Zim,
mais aussi pour comprendre le mécanisme général.


Merci.
Debian testing/stable - XFCE
Avatar du membre
piratebab
Site Admin
Site Admin
Messages : 2903
Enregistré le : 24 avr. 2016, 18:41
Localisation : sud ouest
Status : En ligne

24 avr. 2019, 09:54

Je regarde ça dans la semaine, je vais utiliser abondament ZIM pour préparer une formation.
Avatar du membre
dezix
Membre
Membre
Messages : 432
Enregistré le : 04 juin 2016, 14:50
Diaspora* : dezix@framasphere.org
Status : Hors ligne

27 avr. 2019, 11:52

Pour info :

Sur une VM avec le sources.list suivant :

Code : Tout sélectionner

deb [arch=amd64] http://ftp.fr.debian.org/debian/ stretch main contrib 
# deb-src http://ftp.fr.debian.org/debian/ stretch main contrib 

##########################################################
# Les lignes suivantes seront prises en compte via Synaptic
# en configurant Testing comme priorité
# et en forçant la version de quelques pkges comme Zim

# Testing
deb [arch=amd64] http://ftp.fr.debian.org/debian/ testing main contrib

# Sid
deb [arch=amd64] http://ftp.fr.debian.org/debian/ sid main contrib

La VM est en stable et je me suis servi de Synaptic pour :

* Choix des paquets => Préférer Stable
* Bloquer la version de Zim sur 0.68 (testing)
les autres paquets sont restés en stable,
notamment :

* python-enchant (1.6.7-1)
* python-gtkspellcheck (4.0.5-1)

Dans cette configuration, les menus contextuels sont correctement affichés en FR


Donc, une forte possibilté pour que le défaut soit produit par :

python-enchant 2.0.0-1

car python-gtkspellcheck est à la même version en stable et testing
Debian testing/stable - XFCE
Avatar du membre
piratebab
Site Admin
Site Admin
Messages : 2903
Enregistré le : 24 avr. 2016, 18:41
Localisation : sud ouest
Status : En ligne

28 avr. 2019, 20:34

Je suis en testing et les menus de mon zim sont tous en français.
Avatar du membre
dezix
Membre
Membre
Messages : 432
Enregistré le : 04 juin 2016, 14:50
Diaspora* : dezix@framasphere.org
Status : Hors ligne

30 avr. 2019, 09:23

piratebab a écrit :
28 avr. 2019, 20:34
Je suis en testing et les menus de mon zim sont tous en français.
Merci pour ce retour.


Ce qui m'étonne => je n'ai pas trouvé de fichier texte "dictionnaire" contenant les diverses traductions des chaînes utilisées par la GUI.

Chaque application ne fournit-elle pas ses fichiers de traduction à python/système ?

Je n'ai trouvé que le fichier :

/usr/share/locale/fr/LC_MESSAGES/zim.mo

Je suppose qu'il ne fournit que les contenus des messages préformatés,
car je ne sais pas comment afficher son contenu :-(
Debian testing/stable - XFCE
Avatar du membre
dezix
Membre
Membre
Messages : 432
Enregistré le : 04 juin 2016, 14:50
Diaspora* : dezix@framasphere.org
Status : Hors ligne

10 juin 2019, 09:36

J'ai trouvé le paquet responsable => gnome-desktop3-data

dont je n'ai pas besoin avec XFCE,
ont été supprimés :

Code : Tout sélectionner

Les paquets suivants seront ENLEVÉS :
  evince gnome-desktop3-data libgnome-desktop-3-17
Evince devait provenir de l'installation initiale,
j'utilise mupdf pour lire et qpdfview si nécessaire.
Debian testing/stable - XFCE
Avatar du membre
dezix
Membre
Membre
Messages : 432
Enregistré le : 04 juin 2016, 14:50
Diaspora* : dezix@framasphere.org
Status : Hors ligne

11 juin 2019, 18:28

En fait non, ce n'est pas résolu :sad:

Hier, tout était en FR et aujourd'hui tout est en anglais

et il n'y avait pas MàJ aujourd'hui :017:

Je n'y comprends goutte ! :018:
Debian testing/stable - XFCE
--gilles--
Membre
Membre
Messages : 472
Enregistré le : 24 août 2016, 19:35
Status : Hors ligne

11 juin 2019, 19:56

Dezix, regarde les résultats chez toi de :
aptitude search '~d internationalisation ~d gnome'

aptitude search '~d internationalisation ~d xfce'


aptitude search '~d régionalisation ~d gnome'

aptitude search '~d régionalisation ~d xfce'

Il n'y a pas de paquets xfce qui effectue spécifiquement une tâche d'internationalisation parfois décrite sous le terme régionalisation. Ma conclusion : il faut remettre gnome-desktop3-data qui lui l'effectue. Quand on utilise xfce, il ne faut pas éradiquer les paquets gnome qui subsistent, si ils sont là, c'est qu'ils ont une utilité.
Parler de liberté n'a de sens qu'à condition que ce soit la liberté de dire aux gens ce qu'ils n'ont pas envie d'entendre. Eric Blair, George Orwell
Avatar du membre
dezix
Membre
Membre
Messages : 432
Enregistré le : 04 juin 2016, 14:50
Diaspora* : dezix@framasphere.org
Status : Hors ligne

11 juin 2019, 21:55

Salut Gilles,

Je n'utilise pas aptitude (pas installé)

je ne connais pas la commande équivalente pour apt

J'ai testé :

apt-cache search internationalisation | grep gnome
avec toutes les combinaisons

il y en a une qui donne :

Code : Tout sélectionner

$ apt-cache search gnome | grep internationalisation
intltool-debian - aide à l'internationalisation des fichiers de configuration conformes à la norme RFC822
intltool-debian n'est pas installé


Tu sais à quoi il sert exactement ?

Code : Tout sélectionner

apt-cache show intltool-debian
Package: intltool-debian
Version: 0.35.0+20060710.5
Installed-Size: 109
Maintainer: Debian QA Group <packages@qa.debian.org>
Architecture: all
Depends: gettext, perl:any
Description-fr: aide à l'internationalisation des fichiers de configuration conformes à la norme RFC822
 Intltool est une collection de scripts écrits par le projet GNOME pour
 internationaliser de nombreux formats de fichiers différents. Ce paquet
 est une version légèrement modifiée qui ajoute la prise en charge des
 fichiers de configuration conformes à la norme RFC822, par exemple les
 modèles de fichiers Debconf.
 ....
Tu crois que cela peut y faire sur XFCE ?

Ce qui est étrange c'est que la situation fluctue sans raison précise et uniquement pour zim
Debian testing/stable - XFCE
--gilles--
Membre
Membre
Messages : 472
Enregistré le : 24 août 2016, 19:35
Status : Hors ligne

11 juin 2019, 22:31

intltool-debian <=> international tool debian, tu devrais l'avoir, ainsi que gnome-desktop3-data, regarde j'ai posé les questions aptitude à quelqu'un qui teste une version de buster xfce : https://debian-facile.org/viewtopic.php ... 64#p302464

Pour aptitude : # apt install aptitude
Parler de liberté n'a de sens qu'à condition que ce soit la liberté de dire aux gens ce qu'ils n'ont pas envie d'entendre. Eric Blair, George Orwell
Avatar du membre
dezix
Membre
Membre
Messages : 432
Enregistré le : 04 juin 2016, 14:50
Diaspora* : dezix@framasphere.org
Status : Hors ligne

11 juin 2019, 22:35

Je n'ai rien touché et juste rebooter à l'instant -> c'est revenu en FR

c'est assez étrange !
Debian testing/stable - XFCE
--gilles--
Membre
Membre
Messages : 472
Enregistré le : 24 août 2016, 19:35
Status : Hors ligne

11 juin 2019, 22:42

Nous irons mieux demain après une bonne nuit de sommeil, je me rebooterai demain ! :) :yahoo:
Parler de liberté n'a de sens qu'à condition que ce soit la liberté de dire aux gens ce qu'ils n'ont pas envie d'entendre. Eric Blair, George Orwell
Avatar du membre
dezix
Membre
Membre
Messages : 432
Enregistré le : 04 juin 2016, 14:50
Diaspora* : dezix@framasphere.org
Status : Hors ligne

11 juin 2019, 22:57

Si ça revient sans rien modifier, ce n'est pas une histoire de paquet manquant .

Pour gnome-desktop3-data si c'était une dépendance de XFCE, j'aurais du avoir avoir une liste d'autres paquets à supprimer aussi.

La seule chose que je conserve habituellement de Gnome, c'est ce qui va avec keyring

Code : Tout sélectionner

dpkg-query -l | grep keyring
ii  debian-archive-keyring               2019.1                          all          GnuPG archive keys of the Debian archive
ii  gnome-keyring                        3.28.2-5                        amd64        GNOME keyring services (daemon and tools)
ii  gnome-keyring-pkcs11:amd64           3.28.2-5                        amd64        GNOME keyring module for the PKCS#11 module loading library
ii  libgnome-keyring-common              3.12.0-1                        all          GNOME keyring services library - data files
ii  libgnome-keyring0:amd64              3.12.0-1+b2                     amd64        GNOME keyring services library
ii  libpam-gnome-keyring:amd64           3.28.2-5                        amd64        PAM module to unlock the GNOME keyring upon login

Sur cette install par flemme j'ai conservé NetworkManager,
habituellement j'installe wicd

Voilà ce que j'ai en gnome

Code : Tout sélectionner

dpkg-query -l | grep gnome
ii  gnome-accessibility-themes           3.28-1                          all          High Contrast GTK+ 2 theme and icons
ii  gnome-icon-theme                     3.12.0-3                        all          GNOME Desktop icon theme
ii  gnome-keyring                        3.28.2-5                        amd64        GNOME keyring services (daemon and tools)
ii  gnome-keyring-pkcs11:amd64           3.28.2-5                        amd64        GNOME keyring module for the PKCS#11 module loading library
ii  gnome-menus                          3.31.4-3                        amd64        GNOME implementation of the freedesktop menu specification
ii  gnome-sound-recorder                 3.28.2-1                        all          simple and modern sound recorder for GNOME
ii  gnome-themes-extra:amd64             3.28-1                          amd64        Adwaita GTK+ 2 theme — engine
ii  gnome-themes-extra-data              3.28-1                          all          Adwaita GTK+ 2 theme — common files
ii  libgnome-keyring-common              3.12.0-1                        all          GNOME keyring services library - data files
ii  libgnome-keyring0:amd64              3.12.0-1+b2                     amd64        GNOME keyring services library
ii  libgnome-menu-3-0:amd64              3.31.4-3                        amd64        GNOME implementation of the freedesktop menu specification
ii  libpam-gnome-keyring:amd64           3.28.2-5                        amd64        PAM module to unlock the GNOME keyring upon login
ii  libsoup-gnome2.4-1:amd64             2.64.2-2                        amd64        HTTP library implementation in C -- GNOME support library
ii  network-manager-gnome                1.8.20-1.1                      amd64        network management framework (GNOME frontend)
ii  pinentry-gnome3                      1.1.0-2                         amd64        GNOME 3 PIN or pass-phrase entry dialog for GnuPG
ii  policykit-1-gnome                    0.105-7                         amd64        authentication agent for PolicyKit

Pour le moment, je crois que je vais encore attendre un peu, histoire de voir avant de modifier quoique ce soit.
Debian testing/stable - XFCE
Avatar du membre
dezix
Membre
Membre
Messages : 432
Enregistré le : 04 juin 2016, 14:50
Diaspora* : dezix@framasphere.org
Status : Hors ligne

11 juin 2019, 22:58

Ok @+
Debian testing/stable - XFCE
--gilles--
Membre
Membre
Messages : 472
Enregistré le : 24 août 2016, 19:35
Status : Hors ligne

12 juin 2019, 14:53

Hier, j'ai effectué trois mise à jour, le matin, dans l'après-midi et après avoir rédigé mon post précédent, les deux premiers il ne s'est rien passé, mais à la troisième, le paquet unattended-upgrades s'est mis à jour vers la version 1.11.2, alors qu'il était bloqué à la version 1.11.1.

Aptitude 0.8.11: log report
Tue, Jun 11 2019 10:22:34 +0200

IMPORTANT: this log only lists intended actions; actions which fail
due to dpkg problems may not be completed.

Will install 0 packages, and remove 2 packages.
201 kB of disk space will be freed
========================================
[REMOVE, NOT USED] libhavege1:amd64 1.9.1-7
[HOLD, DEPENDENCIES] unattended-upgrades:amd64 1.11.1
[REMOVE] haveged:amd64 1.9.1-7
========================================

Log complete.

===============================================================================

Aptitude 0.8.11: log report
Tue, Jun 11 2019 10:39:03 +0200

IMPORTANT: this log only lists intended actions; actions which fail
due to dpkg problems may not be completed.

Will install 2 packages, and remove 0 packages.
201 kB of disk space will be used
========================================
[HOLD, DEPENDENCIES] unattended-upgrades:amd64 1.11.1
[INSTALL, DEPENDENCIES] libhavege1:amd64 1.9.1-7
[INSTALL] haveged:amd64 1.9.1-7
========================================





Aptitude 0.8.11: log report
Tue, Jun 11 2019 22:57:03 +0200

IMPORTANT: this log only lists intended actions; actions which fail
due to dpkg problems may not be completed.

Will install 1 packages, and remove 0 packages.
========================================
[UPGRADE] unattended-upgrades:amd64 1.11.1 -> 1.11.2
========================================

Log complete.


C'est peut-être ceci qui a débloqué ton problème. Si tu cherches la cause, essaie de voir dans /var/log/
Parler de liberté n'a de sens qu'à condition que ce soit la liberté de dire aux gens ce qu'ils n'ont pas envie d'entendre. Eric Blair, George Orwell
Avatar du membre
dezix
Membre
Membre
Messages : 432
Enregistré le : 04 juin 2016, 14:50
Diaspora* : dezix@framasphere.org
Status : Hors ligne

12 juin 2019, 15:57

Je ne pense pas ,
policy unattended-upgrades n'est pas installé.

Code : Tout sélectionner

apt-cache policy unattended-upgrades
unattended-upgrades:
  Installé : (aucun)
  Candidat : 1.11.2
 Table de version :
     1.11.2 500
        500 http://ftp.fr.debian.org/debian testing/main amd64 Packages
     0.93.1+nmu1 500
        500 http://deb.debian.org/debian stretch/main amd64 Packages
Et hier soir c'est revenu juste en redémarrant sans avoir fait la moindre modif.

C'est un "zombi" qui se balade dans ma boite à cafards :076:


HS :

L'ISO de tes potes de DFLinux sera bientôt prête ?

Je dois très bientôt faire l'install d'un transfuge de Windows,
ça pourrait nous convenir :033:
Debian testing/stable - XFCE
--gilles--
Membre
Membre
Messages : 472
Enregistré le : 24 août 2016, 19:35
Status : Hors ligne

13 juin 2019, 07:41

Lundi 17 juin ou mardi 18 juin ( le temps de compiler et d’héberger et de tester ), si l'on croit ceci : https://debian-facile.org/viewtopic.php ... 96#p302596 mais je pars samedi, alors suis ce fil de discussion pour en savoir plus. Ton problème intermittent n'est pas évident à résoudre.
Parler de liberté n'a de sens qu'à condition que ce soit la liberté de dire aux gens ce qu'ils n'ont pas envie d'entendre. Eric Blair, George Orwell
Avatar du membre
dezix
Membre
Membre
Messages : 432
Enregistré le : 04 juin 2016, 14:50
Diaspora* : dezix@framasphere.org
Status : Hors ligne

13 juin 2019, 08:34

--gilles-- a écrit :
13 juin 2019, 07:41
Lundi 17 juin ou mardi 18 juin ( le temps de compiler et d’héberger et de tester ), si l'on croit ceci : https://debian-facile.org/viewtopic.php ... 96#p302596 mais je pars samedi, alors suis ce fil de discussion pour en savoir plus.
Merci pour l'info et bon voy... :006:

Ton problème intermittent n'est pas évident à résoudre.
Avec un peu de chance, il disparaîtra comme il est venu


@+

:191:
Debian testing/stable - XFCE
Répondre